Community
cancel
Showing results for 
Search instead for 
Did you mean: 
IRohl1
Beginner
589 Views

Since Quartus II 18.1.1: floating license does not work anymore.

We have a floating license server (under Linux).

 

Quartus II 18.1.0: successfully detects our floating license server and works.

 

Quartus II 18.1.1: Stops in the fitter stage, saying that it is not able to find a license (bigger MAX 10 device).

The license tool (Tools->License Setup) reports a working subscription license in BOTH cases (18.1.0/18.1.1); it is only the fitter which seems to have a problem.

 

Unfortunately the error message does not really tell us what the problem is.

 

 

 

We investigated further: It turns out "quartus_fit" from Quartus II 18.1.1 is contacting the floating license server and also exchanges data with it; it just seems whatever it receives is not what Quartus II 18.1.1 expects.

 

 

We now guessed that maybe the "alterad" running on the floating license server is too old.

So we downloaded the latest 32-bit version (v11.16.2.1 build 244538) and put this onto our Linux license server.

But now alterad complains (in the log file) with:

 

18:44:53 (alterad) Invalid license key (inconsistent authentication code)

18:44:53 (alterad)     ==>INCREMENT ip_base alterad 2020.04 permanent 10 B1A41543E115 \

 

So it seems alterad does not like our license file (downloaded from the self licensing center) anymore.

 

So what do we do now ?

 

Summary:

* Quartus 18.1.1 does not like our floating license anymore

* alterad v11.16.2.1 build 244538 does not like our license file.

 

regards

Ingo

0 Kudos
8 Replies
IRohl1
Beginner
90 Views

Ok, we now updated everything to a more recent Linux distribution.

Result:

alterad 32-bit v11.16.2.1 build 244538 is broken (at least with an older Linux distribution)

alterad 64-bit seems to work.

 

 

AR_A_Intel
Employee
90 Views

May i know, is the daemon v11.16.2.1 updating solved the issue on your side?
IRohl1
Beginner
90 Views

Just let me repost my last post:

  • alterad 32-bit v11.16.2.1 build 244538 is broken (at least with an older Linux distribution)
  • alterad 64-bit v11.16.2.1 build 244538 seems to work.

 

So for version v11.16.2.1 of alterad:

  • 32-Bit BAD.
  • 64-Bit GOOD.

 

 

AR_A_Intel
Employee
90 Views

Thanks for the verification and I can conclude that alterad 64-bit v11.16.2.1 build 244538 solved your licensing issue.
IRohl1
Beginner
90 Views

The MUCH more interesting question:

 

Why does v11.16.2.1 alterad 32-BIT NOT WORK ?

 

Intel distributes this package here:

https://www.intel.com/content/www/us/en/programmable/support/support-resources/download/licensing/da...

Is the software found in the "lic_daemon_lnx32.tar" package just broken ?

 

Maybe in this case Intel should stop distributing this software on the web-page above...

AR_A_Intel
Employee
90 Views

We apologies for the inconvenience happen. We try replicate this issue but no error found, v11.16.2.1 alterad 32-bit can open without error. Could you help check on this one more time? Otherwise, if you still facing issue, could you possibly provide me screenshot of error message and step taken to further investigate this issue.
IRohl1
Beginner
90 Views

> We try replicate this issue but no error found, v11.16.2.1 alterad 32-bit can open without error.

 

I am not sure what the above sentence means.

We have no trouble STARTING the v11.16.2.1 alterad 32-bit executable.

 

> Otherwise, if you still facing issue, could you possibly provide

> me screenshot of error message and

> step taken to further investigate this issue.

 

Have you actually read my initial post ?

Do you understand that the "d" at the end of "alterad" means "daemon" ?

Do you understand that there are no screenshots of daemons running in the background (like a floating license server deamon) especially not if this software is run on a Linux server (which does not even have a graphical user interface) ?

 

But there ARE log files.

 

What I already wrote before:

 

> So we downloaded the latest 32-bit version (v11.16.2.1 build 244538) and put this onto our Linux license server.

> But now alterad complains (in the log file) with:

> 18:44:53 (alterad) Invalid license key (inconsistent authentication code)

> 18:44:53 (alterad)     ==>INCREMENT ip_base alterad 2020.04 permanent 10 B1A41543E115 \

 

So the 32-bit alterad is able to read our license file.

The 32-bit alterad starts and the output in the log file makes sense (the INCREMENT line does exist in our license file).

But it seems the 32-bit alterad does not like the CONTENT of our license file.

 

Unfortunately it is not at all clear what the line

"18:44:53 (alterad) Invalid license key (inconsistent authentication code)"

means.

I have come to expect this from FlexLM software: Cryptic error messages which tell you exactly NOTHING.

Note that the exact same (unmodified) license file works for the 64-bit alterad.

 

I guess to replicate the issue you would at least need our license file, but I am not willing to share that on a forum.

 

with best regards

Ingo Rohloff

 

AR_A_Intel
Employee
90 Views

Hello Thanks for the explanation. To further investigate could you provide 1) full report .log file 2) license.dat file 3) lmutil lmstat –a –c <port>@<server> in BOTH server and client machine. And you can also reply/attach your file in private message.
Reply